Get current and hourly air quality data including pollutants and pollen.
Overview
The Air Quality API returns current conditions and hourly forecasts for air pollutants, AQI indices, and pollen levels. Data is sourced from the Copernicus Atmosphere Monitoring Service (CAMS).
Endpoint
GET /air-quality/{lat},{lon}
Parameters
| Parameter |
Required |
Default |
Description |
lat,lon |
Yes |
— |
Latitude and longitude as path parameter (e.g. 47.37,8.55) |
Example Request
GET /air-quality/47.37,8.55
Example Response
{
"latitude": 47.37,
"longitude": 8.55,
"timezone": "UTC",
"current": {
"time": 1709132400,
"europeanAqi": 42,
"usAqi": 58,
"pm25": 12.5,
"pm10": 18.3,
"ozone": 68.2,
"nitrogenDioxide": 15.8,
"sulphurDioxide": 3.2,
"carbonMonoxide": 245.6
},
"hourly": {
"data": [
{
"time": 1709132400,
"europeanAqi": 42,
"usAqi": 58,
"pm25": 12.5,
"pm10": 18.3,
"ozone": 68.2,
"nitrogenDioxide": 15.8,
"sulphurDioxide": 3.2,
"carbonMonoxide": 245.6
}
]
}
}
Response Fields
current / hourly data
| Field |
Type |
Unit |
Description |
time |
integer |
— |
Unix timestamp |
europeanAqi |
integer |
— |
European Air Quality Index (0–500) |
usAqi |
integer |
— |
US Air Quality Index (0–500) |
pm25 |
float |
µg/m³ |
Fine particulate matter (PM2.5) |
pm10 |
float |
µg/m³ |
Coarse particulate matter (PM10) |
ozone |
float |
µg/m³ |
Ground-level ozone (O₃) |
nitrogenDioxide |
float |
µg/m³ |
Nitrogen dioxide (NO₂) |
sulphurDioxide |
float |
µg/m³ |
Sulphur dioxide (SO₂) |
carbonMonoxide |
float |
µg/m³ |
Carbon monoxide (CO) |
Additional fields (CAMS Europe only)
These fields are only available for European locations:
| Field |
Type |
Unit |
Description |
dustAod |
float |
— |
Dust aerosol optical depth |
pollenBirch |
float |
µg/m³ |
Birch pollen concentration |
pollenGrass |
float |
µg/m³ |
Grass pollen concentration |
pollenOlive |
float |
µg/m³ |
Olive pollen concentration |
pollenRagweed |
float |
µg/m³ |
Ragweed pollen concentration |
pollenAlder |
float |
µg/m³ |
Alder pollen concentration |
pollenMugwort |
float |
µg/m³ |
Mugwort pollen concentration |
Errors
| Status |
Description |
400 |
Invalid coordinates or parameters |
403 |
Invalid API key |
429 |
Rate limit exceeded |
503 |
Air quality data not loaded |